function bestparam = meinoptimierer(fehlerfunktion,startparam,minparam,maxparam)
    x0 = startparam;
    deltax = (maxparam-minparam).*0.0001;
    xakt=x0;

    sx = size(x0);
    zx = sx(1);

    fehler_akt = fehlerfunktion(x0);

    for i=1:100
        k = grand(1, 1, "uin", 1, zx);
        xneu = xakt;
        if xneu(k)+deltax(k)<maxparam(k) & xneu(k)-deltax(k)>minparam(k) then
            xneu(k)=xneu(k)+deltax(k);
            fehler_neu_plus = fehlerfunktion(xneu);
            xneu = xakt;
            xneu(k)=xneu(k)-deltax(k);
            fehler_neu_minus = fehlerfunktion(xneu);
 
            if fehler_neu_plus<fehler_akt then
                fehler_akt=fehler_neu_plus;
                xakt(k)=xakt(k)+deltax(k);
                deltax(k) = deltax(k)*1.01;
            elseif fehler_neu_minus<fehler_akt then
                fehler_akt=fehler_neu_minus;
                xakt(k)=xakt(k)-deltax(k);
                deltax(k) = deltax(k)*1.01;
            else
                deltax(k) = deltax(k)*0.99;
            end
        end
    end    

    bestparam = xakt;
endfunction
