clear();

pa=1.2929002
pb=5.6333807
pc=3069.5433

u_begrenzt_aktuell = 0;  //global, wird in modell und simulation benötigt.

exec einachsermodell.sce;
exec ruku.sce;

//Rauschen:
MITTELWERT = 0.0;
STREUUNG   = 0.01;

exec simulation.sce
exec fehlerfunktion.sce
exec optimierer.sce

P_ANTEIL=25000.0;
I_ANTEIL=1000.0;
D_ANTEIL=500.0;

x0=[P_ANTEIL;I_ANTEIL;D_ANTEIL];

xopt = meinoptimierer(berechneFehler,x0,x0.*0.01, x0.*100.0);

P_ANTEIL_OPT=xopt(1);
I_ANTEIL_OPT=xopt(2);
D_ANTEIL_OPT=xopt(3);

//Testsimulationen durchführen:

y0=[0.2;0;0];
t=0:dt:15.0;

y=simulation(xopt,y0,t);

plot(t,y(1,:));